From: Daniel Wagner <dwagner@suse.de>
To: Shin'ichiro Kawasaki <shinichiro.kawasaki@wdc.com>
Cc: linux-block@vger.kernel.org, linux-nvme@lists.infradead.org,
Chaitanya Kulkarni <chaitanyak@nvidia.com>,
Hannes Reinecke <hare@suse.de>, Daniel Wagner <dwagner@suse.de>
Subject: [RFC blktests v1 03/10] nvme/rc: use long command line option for nvme
Date: Mon, 18 Mar 2024 10:38:48 +0100 [thread overview]
Message-ID: <20240318093856.22307-4-dwagner@suse.de> (raw)
In-Reply-To: <20240318093856.22307-1-dwagner@suse.de>
The long format of the command line option are more descriptive and more
likely to stay stable.
Signed-off-by: Daniel Wagner <dwagner@suse.de>
---
tests/nvme/rc | 18 +++++++++---------
1 file changed, 9 insertions(+), 9 deletions(-)
diff --git a/tests/nvme/rc b/tests/nvme/rc
index 961364055733..c8f13819ca21 100644
--- a/tests/nvme/rc
+++ b/tests/nvme/rc
@@ -160,7 +160,7 @@ _require_nvme_trtype_is_fabrics() {
}
_require_nvme_cli_auth() {
- if ! nvme gen-dhchap-key -n nvmf-test-subsys > /dev/null 2>&1 ; then
+ if ! nvme gen-dhchap-key --nqn nvmf-test-subsys > /dev/null 2>&1 ; then
SKIP_REASONS+=("nvme gen-dhchap-key command missing")
return 1
fi
@@ -408,13 +408,13 @@ _setup_nvmet() {
_nvme_disconnect_ctrl() {
local ctrl="$1"
- nvme disconnect -d "${ctrl}"
+ nvme disconnect --device "${ctrl}"
}
_nvme_disconnect_subsys() {
local subsysnqn="$1"
- nvme disconnect -n "${subsysnqn}" |& tee -a "$FULL" |
+ nvme disconnect --nqn "${subsysnqn}" |& tee -a "$FULL" |
grep -o "disconnected.*"
}
@@ -508,11 +508,11 @@ _nvme_connect_subsys() {
trtype="$1"
subsysnqn="$2"
- ARGS=(-t "${trtype}" -n "${subsysnqn}")
+ ARGS=(--transport "${trtype}" --nqn "${subsysnqn}")
if [[ "${trtype}" == "fc" ]] ; then
- ARGS+=(-a "${traddr}" -w "${host_traddr}")
+ ARGS+=(--traddr "${traddr}" --host-traddr "${host_traddr}")
elif [[ "${trtype}" != "loop" ]]; then
- ARGS+=(-a "${traddr}" -s "${trsvcid}")
+ ARGS+=(--traddr "${traddr}" --trsvcid "${trsvcid}")
fi
ARGS+=(--hostnqn="${hostnqn}")
ARGS+=(--hostid="${hostid}")
@@ -578,13 +578,13 @@ _nvme_discover() {
local host_traddr="${3:-$def_host_traddr}"
local trsvcid="${3:-$def_trsvcid}"
- ARGS=(-t "${trtype}")
+ ARGS=(--transport "${trtype}")
ARGS+=(--hostnqn="${def_hostnqn}")
ARGS+=(--hostid="${def_hostid}")
if [[ "${trtype}" = "fc" ]]; then
- ARGS+=(-a "${traddr}" -w "${host_traddr}")
+ ARGS+=(--traddr "${traddr}" --host-traddr "${host_traddr}")
elif [[ "${trtype}" != "loop" ]]; then
- ARGS+=(-a "${traddr}" -s "${trsvcid}")
+ ARGS+=(--traddr "${traddr}" --trsvcid "${trsvcid}")
fi
nvme discover "${ARGS[@]}"
}
--
2.44.0
next prev parent reply other threads:[~2024-03-18 9:39 UTC|newest]
Thread overview: 13+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-03-18 9:38 [RFC blktests v1 00/10] Add support to run against real target Daniel Wagner
2024-03-18 9:38 ` [RFC blktests v1 01/10] common/xfs: propagate errors from _xfs_run_fio_verify_io Daniel Wagner
2024-03-18 9:38 ` [RFC blktests v1 02/10] nvme/{012,013,035}: check return value of _xfs_run_fio_verify_io Daniel Wagner
2024-03-18 9:38 ` Daniel Wagner [this message]
2024-03-18 9:38 ` [RFC blktests v1 04/10] nvme/{014,015,018,019,020,023,024,026,045,046}: use long command line option for nvme Daniel Wagner
2024-03-18 9:38 ` [RFC blktests v1 05/10] nvme/rc: connect subsys only support long options Daniel Wagner
2024-03-18 9:38 ` [RFC blktests v1 06/10] nvme/rc: remove unused connect options Daniel Wagner
2024-03-18 9:38 ` [RFC blktests v1 06/10] nvme/rc: Remove " Daniel Wagner
2024-03-18 9:38 ` [RFC blktests v1 07/10] nvme/rc: add nqn/uuid args to target setup/cleanup helper Daniel Wagner
2024-03-18 9:38 ` [RFC blktests v1 08/10] nvme/031: do not open code target setup/cleanup Daniel Wagner
2024-03-18 9:38 ` [RFC blktests v1 09/10] nvme/rc: introduce remote target support Daniel Wagner
2024-03-18 9:38 ` [RFC blktests v1 10/10] nvme/030: only run against kernel soft target Daniel Wagner
2024-03-18 11:21 ` [RFC blktests v1 00/10] Add support to run against real target Daniel Wagner
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=20240318093856.22307-4-dwagner@suse.de \
--to=dwagner@suse.de \
--cc=chaitanyak@nvidia.com \
--cc=hare@suse.de \
--cc=linux-block@vger.kernel.org \
--cc=linux-nvme@lists.infradead.org \
--cc=shinichiro.kawasaki@wdc.com \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox